Bug 851323 - anaconda tries to poke /etc/chrony.conf at the end of install even if chrony wasn't in the installed package set
anaconda tries to poke /etc/chrony.conf at the end of install even if chrony ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept F18Alphappc 851653
  Show dependency treegraph
 
Reported: 2012-08-23 15:19 EDT by Adam Williamson
Modified: 2012-09-05 20:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.6.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 851653 (view as bug list)
Environment:
Last Closed: 2012-09-05 20:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-08-23 15:19:54 EDT
I did a minimal install of F18 Alpha pre-TC4 (tflink's test build). At the very end of install, after bootloader installation had been done, the installer black screened, and in /tmp I found a traceback with this error from pyanaconda/ntp.py:

'cannot open config file /mnt/sysimage/etc/chrony.conf for reading (no such file or directory)'

(re-typed, probably not exact)

It seems anaconda tries to poke chrony.conf even if chrony wasn't in the installed package set. The installed system does actually boot okay - this must be one of the very last things anaconda does - and I verified that chrony wasn't installed. It may be a bug that chrony isn't in the minimal package set, but anaconda shouldn't really barf if it's not in the install.
Comment 1 Vratislav Podzimek 2012-08-24 10:30:08 EDT
Patch that should resolve this issues sent to anaconda-patches list.
Comment 2 Adam Williamson 2012-08-27 13:02:45 EDT
Discussed at 2012-08-27 QA meeting, functioning as an NTH review meeting. Accepted as NTH as the crash obviously looks bad, and there are a few things that should be done after the crash which of course don't happen, like the copying of logs to the installed system.
Comment 3 Fedora Update System 2012-09-01 01:11:50 EDT
anaconda-18.6.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.6.5-1.fc18
Comment 4 Fedora Update System 2012-09-05 20:53:29 EDT
anaconda-18.6.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.